package kz.arta.synergy.workflow.mobile.android.documents.route.models;

import java.io.Serializable;

/**
 * Created by neox on 24.07.15.
 * Маршруты
 */
public class Routes implements Serializable {

    /**
     * Закрывать ли окно после активации маршрута
     */
    private String closeAfterActivation;

    /**
     * Предварительные этапы маршрута
     */
    private Route before;

    /**
     * Действия
     */
    private Route action;

    /**
     * Последующие этапы маршрута
     */
    private Route after;

    public String getCloseAfterActivation() {
        return closeAfterActivation;
    }

    public void setCloseAfterActivation(String closeAfterActivation) {
        this.closeAfterActivation = closeAfterActivation;
    }

    public Route getBefore() {
        return before;
    }

    public void setBefore(Route before) {
        this.before = before;
    }

    public Route getAction() {
        return action;
    }

    public void setActions(Route action) {
        this.action = action;
    }

    public Route getAfter() {
        return after;
    }

    public void setAfter(Route after) {
        this.after = after;
    }

}
